#
# spec file for package libmarblewidget
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define _so 22

Name:           libmarblewidget
Version:        15.08.3
Release:        6.1
Summary:        Generic map viewer library for libkgeomapr
License:        LGPL-2.1+
Group:          Amusements/Teaching/Other
Url:            http://edu.kde.org
Source0:        marble-%{version}.tar.xz
BuildRequires:  fdupes
BuildRequires:  gpsd-devel
BuildRequires:  marble-devel
BuildRequires:  libkde4-devel
BuildRequires:  perl
BuildRequires:  quazip-devel
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
The shared library for the MarbleWidget shared library.

%package devel
Summary:        Generic map viewer: Build Environment
Group:          Development/Libraries/KDE
Requires:       libmarblewidget%{_so} = %{version}
Conflicts:      marble-devel

%description devel
Development headers and libraries for Marble.

%package -n libmarblewidget%{_so}
Summary:        Generic map viewer: Shared Library
Group:          Development/Libraries/KDE

%description -n libmarblewidget%{_so}
The shared library for the MarbleWidget shared library.

%prep
%setup -q -n marble-%{version}
# use the systemwide libastro includes
sed -i "s|\${CMAKE_SOURCE_DIR}/src/lib/astro|%{_includedir}/astro|" src/lib/marble/CMakeLists.txt

%build
%ifarch ppc ppc64
export RPM_OPT_FLAGS="%{optflags} -mminimal-toc"
%endif
%cmake_kde4 -d build -- -DQT5BUILD=OFF
pushd src/lib/marble
make
popd

%install
  pushd build/src/lib/marble
  %kde4_makeinstall
  popd
  mkdir -p %{buildroot}%{_kde4_appsdir}/cmake/modules
  cp build/FindMarble.cmake %{buildroot}%{_kde4_appsdir}/cmake/modules/
  %fdupes -s %{buildroot}

%post   -n libmarblewidget%{_so} -p /sbin/ldconfig

%postun -n libmarblewidget%{_so} -p /sbin/ldconfig

%files devel
%defattr(-,root,root)
%doc BUGS CODING
%{_includedir}/marble/
%{_libdir}/libmarblewidget.so
%{_kde4_appsdir}/cmake/modules/FindMarble.cmake

%files -n libmarblewidget%{_so} 
%defattr(-,root,root)
%doc CREDITS ChangeLog COPYING* LICENSE* MANIFESTO.txt
%{_libdir}/libmarblewidget.so.*

%changelog
* Tue Jul 19 2016 wbauer@tmo.at
- Drop libastro and build against the external one from
  marble-devel instead of the one included here, to prevent
  conflicts with the latest marble versions.
- Remove drop_soversion_coinstallability.diff, not needed any more
* Sun Jul 17 2016 tittiatcoke@gmail.com
- Drop so version for libastro to maintain co-installability with
  the KF5 based version.
  * patch drop_soversion_coinstallability.diff
* Mon Jan 11 2016 tittiatcoke@gmail.com
- Change in packaging. Make libmarblewidget a stand alone package.
  Therefore dropping the following files :
  * marble.spec
  * marble.changes
  * make_astro_coinstall.diff
  * fix-libastro-version-tagging.diff
* Tue Nov 10 2015 tittiatcoke@gmail.com
- Update to KDE Applications 15.08.3
  * KDE Applications 15.08.3
  * https://www.kde.org/announcements/announce-applications-15.08.3.php
  * boo#954531
* Sun Oct 11 2015 tittiatcoke@gmail.com
- Update to KDE Applications 15.08.2
  * KDE Applications 15.08.2
  * https://www.kde.org/announcements/announce-applications-15.08.2.php
- Include libastro due to dependencies
* Sun Sep 13 2015 tittiatcoke@gmail.com
- Update to KDE Applications 15.08.1
  * KDE Applications 15.08.1
  * https://www.kde.org/announcements/announce-applications-15.08.1.php
- Drop upstream patch marble_fix_ppc64_build.patch
* Sun Aug 30 2015 tittiatcoke@gmail.com
- Initial package to fullfil the buildrequirements for libkgeomap
  as it is still based on Qt4
